package com.logicbig.example;

import javax.ws.rs.*;
import java.math.BigDecimal;

@Path("/")
public class ResourceExample {

    @GET
    @Path("test/{path1}test1")
    public String testPathParam(@DefaultValue("default path value")
                       @PathParam("path1") String path) {
        return "path value= " + path;
    }

    @GET
    @Path("test/{path1:.*}test2")
    public String testPathParam2(@DefaultValue("default path value")
                                @PathParam("path1") String path) {
        return "path value= " + path;
    }

    @GET
    @Path("test1")
    public String testPathParam3(@DefaultValue("10")
                        @PathParam("path1") BigDecimal bd) {
        return "path param Value= " + bd;
    }

    @GET
    @Path("test2")
    public String testQueryParam(
            @DefaultValue("default query param value")
            @QueryParam("queryParam1") String qpString) {
        return "query param value= " + qpString;
    }

    @GET
    @Path("test3")
    public String test3(
            @DefaultValue("default matrix param value")
            @MatrixParam("matrixParam1") String mpString) {
        return "matrix param value= " + mpString;
    }

    @GET
    @Path("test4")
    public String test4(
            @DefaultValue("default cookie param value")
            @CookieParam("cookieParam1") String cString) {
        return "cookie value= " + cString;
    }

    @POST
    @Path("test5")
    public String test5(
            @DefaultValue("default form param value")
            @FormParam("formParam1") String fString) {
        return "FormParam value= " + fString;
    }

    @GET
    @Path("test6")
    public String test6(
            @DefaultValue("default header param value")
            @HeaderParam("headerParam1") String hString) {
        return "HeaderParam value= " + hString;
    }
}